Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0006162
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2008-11-23 12:342009-12-10 13:36
ReporterrafarodaView Statuspublic 
Assigned Toharpreet 
PriorityurgentResolutionfixedFixed in Version2.50MP4
StatusclosedFix in branchpiFixed in SCM revision57eee24cc1be
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.5
OS VersionUbuntu 7.10Database version8.3Ant version1.7
Product VersionpiSCM revision10431 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0006162: Create a Format.xml.template

DescriptionNowadays, Openbravo ERP's file to define number formats [1], Format.xml, is versioned [2].

That means that, if one changes the number formatting, Format.xml will appear as ready to commit into the Openbravo repository.

[1] http://wiki.openbravo.com/wiki/Openbravo_ERP_installation#Configuring_the_default_numbering_format [^]
[2] https://dev.openbravo.com/websvn/openbravo/trunk/config/Format.xml [^]
Steps To ReproduceSee https://dev.openbravo.com/websvn/openbravo/trunk/config/Format.xml [^]
Proposed SolutionLike Openbravo.properties file, Format.xml should have its own versioned Format.xml.template file [1] that is used to create Format.xml at the configuration time.

[1] https://dev.openbravo.com/websvn/openbravo/trunk/config/Openbravo.properties.template [^]
Tagsmain
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010378 closediperdomo Create a page documenting Format.xml file 
related to defect 0010385 closedmarvintm NullPointerException in main oracle context 
related to defect 0010390 closedharpreet Format.xml file not generated after completing the setup utility 
related to defect 0010469 closedrafaroda Installation problems 

-  Notes
(0018718)
iperdomo (developer)
2009-07-30 12:46

This change should be done before August 20th
(0019165)
hgbot (developer)
2009-08-21 07:25

Repository: erp/devel/pi
Changeset: a3c7cde5d20b1df084907849a9de62b70e79dad2
Author: Harpreet Singh <harpreet <at> openbravo.com>
Date: Fri Aug 21 07:25:05 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a3c7cde5d20b1df084907849a9de62b70e79dad2 [^]

Fixes issue 0006162

---
A config/Format.xml.template
R config/Format.xml
---
(0019166)
iperdomo (developer)
2009-08-21 07:29

@harpreet:
Is the setup binary prepared to copy the .xml.template to .xml ?

Regards,
(0019168)
harpreet (reporter)
2009-08-21 08:51

@iperdomo:
Yes the binaries have been prepared.
Link
https://dev.openbravo.com/websvn/packaging/setup/?op=log&rev=0&sc=0&isdir=1 [^]

Regards
(0019205)
hgbot (developer)
2009-08-24 21:25

Repository: erp/devel/pi
Changeset: 57eee24cc1be839a967aad294b2d8b68f0f0c0fa
Author: Juan Pablo Aroztegi <juanpablo.aroztegi <at> openbravo.com>
Date: Mon Aug 24 21:25:03 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/57eee24cc1be839a967aad294b2d8b68f0f0c0fa [^]

Related to issue 6162: add Format.xml to hgignore

---
M .hgignore
---
(0022638)
jpabloae (reporter)
2009-12-10 13:36

Verified.

- Issue History
Date Modified Username Field Change
2008-11-23 12:34 rafaroda New Issue
2008-11-23 12:34 rafaroda Assigned To => rafaroda
2008-11-23 12:34 rafaroda sf_bug_id 0 => 2332425
2008-11-23 12:34 rafaroda Regression testing => No
2008-11-24 13:04 rafaroda Assigned To rafaroda => pjuvara
2009-05-22 19:34 pjuvara Assigned To pjuvara => iciordia
2009-07-30 12:46 iperdomo Note Added: 0018718
2009-07-30 12:46 iperdomo Assigned To iciordia => dmitry_mezentsev
2009-07-30 12:46 iperdomo Priority low => urgent
2009-07-30 12:46 iperdomo Severity minor => major
2009-07-30 13:13 iperdomo Status new => scheduled
2009-07-30 13:13 iperdomo fix_in_branch => pi
2009-08-17 14:37 jpabloae Assigned To dmitry_mezentsev => harpreet
2009-08-21 07:25 hgbot Checkin
2009-08-21 07:25 hgbot Note Added: 0019165
2009-08-21 07:25 hgbot Status scheduled => resolved
2009-08-21 07:25 hgbot Resolution open => fixed
2009-08-21 07:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a3c7cde5d20b1df084907849a9de62b70e79dad2 [^]
2009-08-21 07:29 iperdomo Note Added: 0019166
2009-08-21 08:51 harpreet Note Added: 0019168
2009-08-24 13:40 rafaroda Relationship added related to 0010385
2009-08-24 21:25 hgbot Checkin
2009-08-24 21:25 hgbot Note Added: 0019205
2009-08-24 21:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a3c7cde5d20b1df084907849a9de62b70e79dad2 [^] => http://code.openbravo.com/erp/devel/pi/rev/57eee24cc1be839a967aad294b2d8b68f0f0c0fa [^]
2009-08-25 09:33 rafaroda Relationship added related to 0010390
2009-08-25 11:29 harpreet Status resolved => closed
2009-08-25 12:00 jpabloae Status closed => new
2009-08-25 12:00 jpabloae Resolution fixed => open
2009-08-25 12:01 jpabloae Status new => scheduled
2009-08-25 12:01 jpabloae Status scheduled => resolved
2009-08-25 12:01 jpabloae Resolution open => fixed
2009-09-08 11:22 rafaroda Relationship added related to 0010469
2009-09-10 08:01 rafaroda Relationship added related to 0010378
2009-10-22 19:26 psarobe Tag Attached: main
2009-12-10 13:36 jpabloae Note Added: 0022638
2009-12-10 13:36 jpabloae Status resolved => closed
2009-12-10 13:36 jpabloae Fixed in Version => 2.50MP4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker